Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 593454 - Systems are not released back to the pool when a job is canceled
Summary: Systems are not released back to the pool when a job is canceled
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Retired
Component: lab controller
Version: 0.5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 19:57 UTC by Mike Gahagan
Modified: 2010-12-16 16:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-16 19:26:56 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 663698 0 low CLOSED Systems not being released from cancelled recipes 2021-02-22 00:41:40 UTC

Internal Links: 663698

Description Mike Gahagan 2010-05-18 19:57:35 UTC
Description of problem:
When canceling a job last week, I noticed approximately 5 systems were not released back to the pool. When I tried to release the system manually it failed informing me it was part of a running job

Version-Release number of selected component (if applicable):
0.5.35

How reproducible:
only has happened once

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Systems unusable by others when job is cancelled

Expected results:
Systems are released

Additional info:
https://beaker.engineering.redhat.com/jobs/405

Comment 1 Bill Peck 2010-06-16 19:26:56 UTC
this shouldn't be a problem anymore.  If you see this again please re-open this bug.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.